import { db } from "../db.js"

export const getRequisicao = (_, res) => {
    const q = "SELECT * FROM crud.requisicao";

    db.query(q, (err, data) => {
        if(err) return res.json(err)

        return res.status(200).json(data)
    })
}

export const addRequisicao = (req, res) => {
    const q = "INSERT INTO crud.requisicao(`setor`, `tipo`, `data`, `conteudo`) VALUES(?)";

    const values = [
        req.body.setor,
        req.body.tipo,
        req.body.data,
        req.body.conteudo,
    ];

    db.query(q, [values], (err) => {
        if(err) return res.json(err);

        return res.status(200).json("Requisição criada com sucesso.");
    });
}

export const updateRequisicao = (req, res) => {
    const q =
      "UPDATE requisicao SET `setor` = ?, `tipo` = ?, `data` = ?, `conteudo` = ? WHERE `id` = ?";
  
    const values = [
      req.body.setor,
      req.body.tipo,
      req.body.data,
      req.body.conteudo,

    ];
  
    db.query(q, [...values, req.params.id], (err) => {
      if (err) return res.json(err);
  
      return res.status(200).json("Requisição atualizada com sucesso.");
    });
};


export const deleteRequisicao = (req, res) => {
    const q = "DELETE FROM requisicao WHERE `id` = ?";
  
    db.query(q, [req.params.id], (err) => {
      if (err) return res.json(err);
  
      return res.status(200).json("Requisição deletada com sucesso.");
    });
};